const mqtt: AuthRoute.Route = {
  name: 'mqtt',
  path: '/mqtt',
  component: 'basic',
  children: [
    {
      name: 'mqtt_pasture',
      path: '/mqtt/pasture',
      component: 'self',
      meta: {
        title: '牧场管理',
        requiresAuth: true,
        icon: 'icon-park-outline:workbench'
      }
    },
    {
      name: 'mqtt_topic',
      path: '/mqtt/topic',
      component: 'self',
      meta: {
        title: 'topic配置',
        requiresAuth: true,
        icon: 'icon-park-outline:topic'
      }
    },
    {
      name: 'mqtt_category',
      path: '/mqtt/category',
      component: 'self',
      meta: {
        title: '分类管理',
        requiresAuth: true,
        icon: 'carbon:category'
      }
    },
    {
      name: 'mqtt_authentication',
      path: '/mqtt/authentication',
      component: 'self',
      meta: {
        title: '认证鉴权',
        requiresAuth: true,
        icon: 'ic:round-construction'
      }
    }
  ],
  meta: {
    title: 'mqtt管理',
    icon: 'mdi:monitor-dashboard',
    order: 12
  }
};

export default mqtt;
